path: /build/build/libXfont2-x11-libs-2.0.4.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc -ppc-aix -x86-winnt bzip2 truetype" emerge x11-libs/libXfont2 -pv -t && \
    USE="-doc -ppc-aix -x86-winnt bzip2 truetype" emerge -j ${JOBS} --nodeps x11-libs/libXfont2
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/libXfont2 && luet-portage --dir /pkgdir/libXfont2
    x11-libs/libXfont2 && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:960392b8bb7198e99378fb1e6e89c3dec029d7b39f09871f8b066068a7513db6
  package:
    name: libXfont2
    version: 2.0.4
    category: x11-libs
    use_flags:
    - -doc
    - -ppc-aix
    - -x86-winnt
    - bzip2
    - truetype
    requires:
    - name: iceauth
      version: '>=0'
      category: x11-apps
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: X.Org Xfont library
    uri:
    - https://www.x.org/wiki/ https://gitlab.freedesktop.org/xorg/lib/libXfont2
    license: MIT
    buildtimestamp: 2023-08-22 18:57:13.624156556 +0000 UTC m=+84.600535424
    labels:
      DEPEND: sys-libs/zlib x11-base/xorg-proto x11-libs/libfontenc x11-libs/xtrans
        bzip2? ( app-arch/bzip2 ) truetype? ( >=media-libs/freetype-2 ) >=app-portage/elt-patches-20170815
        !<sys-devel/gettext-0.18.1.1-r3 || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15
        ) >=sys-devel/autoconf-2.69 >=sys-devel/libtool-2.4 ppc-aix? ( >=sys-devel/libtool-2.2.6a
        sys-devel/m4 >=x11-misc/util-macros-1.18 >=media-fonts/font-util-1.2.0 ) x86-winnt?
        ( >=sys-devel/libtool-2.2.6a sys-devel/m4 >=x11-misc/util-macros-1.18 >=media-fonts/font-util-1.2.0
        ) virtual/pkgconfig doc? ( doc? ( || ( app-text/asciidoc dev-ruby/asciidoctor
        ) app-text/xmlto app-doc/doxygen app-text/docbook-xml-dtd:4.1.2 app-text/docbook-xml-dtd:4.2
        app-text/docbook-xml-dtd:4.3 ) )
      IUSE: bzip2 ipv6 truetype static-libs doc
      RDEPEND: sys-libs/zlib x11-base/xorg-proto x11-libs/libfontenc x11-libs/xtrans
        bzip2? ( app-arch/bzip2 ) truetype? ( >=media-libs/freetype-2 )
      emerge.packages: x11-libs/libXfont2
      kit: core-gl-kit
      original.package.name: x11-libs/libXfont2
      original.package.slot: "0"
      original.package.version: 2.0.4
    treedir: /build/packages
  package_dir: /pkgdir/libXfont2
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 8d7beeb20be2b80e9be90a6101680c9fb640fb3d029fe3a262d86eb9fca93208
compressiontype: zstd
files:
- usr/include/X11/fonts/libxfont2.h
- usr/lib64/libXfont2.so
- usr/lib64/libXfont2.so.2
- usr/lib64/libXfont2.so.2.0.0
- usr/lib64/pkgconfig/xfont2.pc
- usr/share/doc/libXfont2-2.0.4/AUTHORS.bz2
- usr/share/doc/libXfont2-2.0.4/ChangeLog.bz2
- usr/share/doc/libXfont2-2.0.4/README.md.bz2
- var/db/pkg/x11-libs/libXfont2-2.0.4/BUILD_TIME
- var/db/pkg/x11-libs/libXfont2-2.0.4/CATEGORY
- var/db/pkg/x11-libs/libXfont2-2.0.4/CBUILD
- var/db/pkg/x11-libs/libXfont2-2.0.4/CFLAGS
- var/db/pkg/x11-libs/libXfont2-2.0.4/CHOST
- var/db/pkg/x11-libs/libXfont2-2.0.4/CONTENTS
- var/db/pkg/x11-libs/libXfont2-2.0.4/COUNTER
- var/db/pkg/x11-libs/libXfont2-2.0.4/CXXFLAGS
- var/db/pkg/x11-libs/libXfont2-2.0.4/DEFINED_PHASES
- var/db/pkg/x11-libs/libXfont2-2.0.4/DEPEND
- var/db/pkg/x11-libs/libXfont2-2.0.4/DESCRIPTION
- var/db/pkg/x11-libs/libXfont2-2.0.4/EAPI
- var/db/pkg/x11-libs/libXfont2-2.0.4/FEATURES
- var/db/pkg/x11-libs/libXfont2-2.0.4/HOMEPAGE
- var/db/pkg/x11-libs/libXfont2-2.0.4/INHERITED
- var/db/pkg/x11-libs/libXfont2-2.0.4/IUSE
- var/db/pkg/x11-libs/libXfont2-2.0.4/IUSE_EFFECTIVE
- var/db/pkg/x11-libs/libXfont2-2.0.4/KEYWORDS
- var/db/pkg/x11-libs/libXfont2-2.0.4/LDFLAGS
- var/db/pkg/x11-libs/libXfont2-2.0.4/LICENSE
- var/db/pkg/x11-libs/libXfont2-2.0.4/NEEDED
- var/db/pkg/x11-libs/libXfont2-2.0.4/PF
- var/db/pkg/x11-libs/libXfont2-2.0.4/PROVIDES
- var/db/pkg/x11-libs/libXfont2-2.0.4/RDEPEND
- var/db/pkg/x11-libs/libXfont2-2.0.4/REQUIRES
- var/db/pkg/x11-libs/libXfont2-2.0.4/SIZE
- var/db/pkg/x11-libs/libXfont2-2.0.4/SLOT
- var/db/pkg/x11-libs/libXfont2-2.0.4/USE
- var/db/pkg/x11-libs/libXfont2-2.0.4/environment.bz2
- var/db/pkg/x11-libs/libXfont2-2.0.4/libXfont2-2.0.4.ebuild
- var/db/pkg/x11-libs/libXfont2-2.0.4/repository
package_cacheimage: ""
runtime:
  name: libXfont2
  version: 2.0.4
  category: x11-libs
  use_flags:
  - -doc
  - -ppc-aix
  - -x86-winnt
  - bzip2
  - truetype
  requires:
  - name: freetype
    version: '>=0'
    category: media-libs-2
  - name: xorg-proto
    version: '>=0'
    category: x11-base
  - name: libfontenc
    version: '>=0'
    category: x11-libs
  - name: xtrans
    version: '>=0'
    category: x11-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: X.Org Xfont library
  uri:
  - https://www.x.org/wiki/ https://gitlab.freedesktop.org/xorg/lib/libXfont2
  license: MIT
  labels:
    DEPEND: sys-libs/zlib x11-base/xorg-proto x11-libs/libfontenc x11-libs/xtrans
      bzip2? ( app-arch/bzip2 ) truetype? ( >=media-libs/freetype-2 ) >=app-portage/elt-patches-20170815
      !<sys-devel/gettext-0.18.1.1-r3 || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15
      ) >=sys-devel/autoconf-2.69 >=sys-devel/libtool-2.4 ppc-aix? ( >=sys-devel/libtool-2.2.6a
      sys-devel/m4 >=x11-misc/util-macros-1.18 >=media-fonts/font-util-1.2.0 ) x86-winnt?
      ( >=sys-devel/libtool-2.2.6a sys-devel/m4 >=x11-misc/util-macros-1.18 >=media-fonts/font-util-1.2.0
      ) virtual/pkgconfig doc? ( doc? ( || ( app-text/asciidoc dev-ruby/asciidoctor
      ) app-text/xmlto app-doc/doxygen app-text/docbook-xml-dtd:4.1.2 app-text/docbook-xml-dtd:4.2
      app-text/docbook-xml-dtd:4.3 ) )
    IUSE: bzip2 ipv6 truetype static-libs doc
    RDEPEND: sys-libs/zlib x11-base/xorg-proto x11-libs/libfontenc x11-libs/xtrans
      bzip2? ( app-arch/bzip2 ) truetype? ( >=media-libs/freetype-2 )
    emerge.packages: x11-libs/libXfont2
    kit: core-gl-kit
    original.package.name: x11-libs/libXfont2
    original.package.slot: "0"
    original.package.version: 2.0.4
